Subject: Document new package structure and management
Description

Topics

- Composer
- Package structure
- Upgrading
- Installing
- Maintaining

help me make the docs better, please share your experences and wtf's in the comments.

Associated revisions
Revision 6606d48f - 2012-12-11 22:21 - Karsten Dambekalns

[TASK] Update Package Management section

This adjusts the package management section of the TYPO3 Flow Guide to
the composer changes.

Change-Id: I7772051938a4306328108bacde34710c54fc3a69
Resolves: #42726
Releases: 1.2

Revision 4d72543c - 2013-01-09 14:29 - Bastian Waidelich

[TASK] Adjust suggested folder structure in Package Management section

I7772051938a4306328108bacde34710c54fc3a69 introduced suggested
names for directories under Resources/Public.

This adjusts the suggested folder names as discussed and adds a link
to the ResourceManagement chapter.

Change-Id: I0986699fb770dda58dae3daa9fae434b37088dee
Related: #42726
Resolves: #13694
Releases: master, 2.0
Revision ea267971 - 2013-01-15 10:30 - Bastian Waidelich

[TASK] Adjust suggested folder structure in Package Management section

I7772051938a4306328108bacde34710c54fc3a69 introduced suggested
names for directories under Resources/Public.

This adjusts the suggested folder names as discussed and adds a link
to the ResourceManagement chapter.

Change-Id: I0986699fb770dda58dae3daa9fae434b37088dee
Related: #42726
Resolves: #13694
Releases: master, 2.0

History
#1 - 2012-11-06 14:06 - Adrian Föder

Documentation coverage wish:

I want to install an arbitrary package from "out there", for example TYPO3.SwiftMailer or guzzle.

TYPO3.SwiftMailer stands for a package which has compoer.json, but is not at packagist; guzzle stands for a fully packagist covered package.

    -  Is there an option to install these "on the fly", without being referenced from an "inquirer" json? (maybe via a composer.phar command?) Is this
even recommended?
    -  What's the best practice to include it else; I used to recommend people to add these requirements to their Package's json rather than their
distribution json, because mostly their package requires something and not the distribution.

#2 - 2012-12-10 13:29 - Karsten Dambekalns
- Assigned To changed from Christian Jul Jensen to Karsten Dambekalns

#3 - 2012-12-10 13:29 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16991

#4 - 2012-12-11 22:21 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16991

#5 - 2012-12-12 12:52 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0 beta 1

#6 - 2012-12-12 20:56 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
